π£Quick Start
Get your API keys
Make your first request to create a new Qattah Order
curl --location 'https://staging-api.qattahpay.sa/api/v1/merchant-integration/orders' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <api_token>' \
--data '{
"amount": 100,
"reference": "common-reference",
"callback_url": "https://testing-callback.qattahpay.sa",
"theme":"dark",
"lang":"ar",
"currency": "SAR",
"description": "description",
"emailAddress": "emailAddress",
"mobileNumber": "mobileNumber",
"success_url": "https://www.example.com/success",
"failure_url": "https://www.example.com/failed"
}'<?php
$client = new Client();
$headers = [
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'Authorization' => 'Bearer <api_token>'
];
$body = '{
"amount": 100,
"reference": "common-reference",
"callback_url": "https://testing-callback.qattahpay.sa",
"theme": "dark",
"lang": "ar",
"currency": "SAR",
"description": "description",
"emailAddress": "emailAddress",
"mobileNumber": "mobileNumber",
"success_url": "https://www.example.com/success",
"failure_url": "https://www.example.com/failed"
}';
$request = new Request('POST', 'https://staging-api.qattahpay.sa/api/v1/merchant-integration/orders', $headers, $body);
$res = $client->sendAsync($request)->wait();
echo $res->getBody();
Last updated